var routers = [
        {
                path: '/base/companyInfo/list',
                name: 'BaseCompanyInfoList',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/companyInfo-list.vue'),
                meta: {
                        roles: ["admin"],
                        title: '企业管理'
                }
        }, {
                path: '/base/personInfo/list',
                name: 'BasePersonInfoList',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/personInfo-list.vue'),
                meta: {
                        roles: ["admin"],
                        title: '企业人员管理'
                }
        }, {
                path: '/base/newsType/list',
                name: 'BaseNewsTypeList',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/newsType-list.vue'),
                meta: {
                        roles: ["admin"],
                        title: '新闻分类管理'
                }
        }, {
                path: '/base/newsInfo/list',
                name: 'BaseNewsInfoList',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/newsInfo-list.vue'),
                meta: {
                        roles: ["admin"],
                        title: '新闻管理'
                }
        }, {
                path: '/base/industryInfo/list',
                name: 'BaseIndustryInfoList',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/industryInfo-list.vue'),
                meta: {
                        roles: ["admin"],
                        title: '行业管理'
                }
        }, {
                path: '/base/whisperingWall/list',
                name: 'BaseWhisperingWallList',
                // route level code-splitting
                // this generates a separate chunk (about.[hash].js) for this route
                // which is lazy-loaded when the route is visited.
                component: () => import('@/views/base/whisperingWall-list.vue'),
                meta: {
                        roles: ["admin"],
                        title: '回音墙管理'
                }
        },
]

export default routers;